[arch-commits] Commit in python-pyquery/repos/community-any (PKGBUILD PKGBUILD)

Felix Yan fyan at archlinux.org
Tue Jan 5 15:19:31 UTC 2016


    Date: Tuesday, January 5, 2016 @ 16:19:30
  Author: fyan
Revision: 155516

archrelease: copy trunk to community-any

Added:
  python-pyquery/repos/community-any/PKGBUILD
    (from rev 155515, python-pyquery/trunk/PKGBUILD)
Deleted:
  python-pyquery/repos/community-any/PKGBUILD

----------+
 PKGBUILD |  116 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 58 insertions(+), 58 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2016-01-05 15:19:10 UTC (rev 155515)
+++ PKGBUILD	2016-01-05 15:19:30 UTC (rev 155516)
@@ -1,58 +0,0 @@
-# $Id$
-# Maintainer : Felix Yan <felixonmars at gmail.com>
-# Contributor: speps <speps at aur dot archlinux dot org>
-# Contributor: Arnau Sanchez <tokland {at} gmail {dot} com>
-
-_name=pyquery
-pkgbase=python-pyquery
-pkgname=('python-pyquery' 'python2-pyquery')
-pkgver=1.2.9
-pkgrel=2
-pkgdesc="A jquery-like library for python."
-arch=('any')
-url="https://github.com/gawel/pyquery/"
-license=('custom:BSD')
-makedepends=('python-setuptools' 'python2-setuptools' 'python-lxml' 'python2-lxml' 'python-cssselect' 'python2-cssselect')
-checkdepends=('python-requests' 'python2-requests' 'python-webob' 'python2-webob' 'python-nose' 'python2-nose'
-              'python-coverage' 'python2-coverage' 'python-webtest' 'python2-webtest' 'python2-beautifulsoup4')
-              # In AUR: 'python-waitress' 'python2-waitress') 
-source=("http://pypi.python.org/packages/source/p/$_name/$_name-$pkgver.zip"
-        "https://bitbucket.org/olauzanne/pyquery/raw/b70710332032/LICENSE.txt")
-sha512sums=('f5152b471c896b39032add6a7f0e6ce63f426b4903bc7cf9eef12723c73453b40c310dd1497a7c4189fc6faaf804690fd91fb6d2f97fb6c4d6314682de4b8d05'
-            '4932f86cbe9ed4c2e658acf9c228fdb0b2430fd622d559555196c7db0f43ea435483c7ae9916c325b40130334f4706d30e5adea6bc1d097b3283a7fc64926685')
-
-prepare() {
-  cp -a "$_name-$pkgver"{,-python2}
-}
-
-build() {
-  cd $_name-$pkgver
-  python setup.py build
-
-  cd ../$_name-$pkgver-python2
-  python2 setup.py build
-}
-
-check() {
-  cd $_name-$pkgver
-  nosetests3 || warning "Tests failed"
-
-  cd ../$_name-$pkgver-python2
-  nosetests2 || warning "Tests failed"
-}
-
-package_python-pyquery() {
-  depends=('python-lxml' 'python-cssselect')
-  cd $_name-$pkgver
-  python3 setup.py install -O1 --root="$pkgdir/"
-
-  install -Dm644 ../LICENSE.txt "$pkgdir/usr/share/licenses/python-pyquery/LICENSE"
-}
-
-package_python2-pyquery() {
-  depends=('python2-lxml' 'python2-cssselect')
-  cd $_name-$pkgver-python2
-  python2 setup.py install -O1 --root="$pkgdir/"
-
-  install -Dm644 ../LICENSE.txt "$pkgdir/usr/share/licenses/python2-pyquery/LICENSE"
-}

Copied: python-pyquery/repos/community-any/PKGBUILD (from rev 155515, python-pyquery/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2016-01-05 15:19:30 UTC (rev 155516)
@@ -0,0 +1,58 @@
+# $Id$
+# Maintainer : Felix Yan <felixonmars at gmail.com>
+# Contributor: speps <speps at aur dot archlinux dot org>
+# Contributor: Arnau Sanchez <tokland {at} gmail {dot} com>
+
+_name=pyquery
+pkgbase=python-pyquery
+pkgname=('python-pyquery' 'python2-pyquery')
+pkgver=1.2.10
+pkgrel=1
+pkgdesc="A jquery-like library for python."
+arch=('any')
+url="https://github.com/gawel/pyquery/"
+license=('custom:BSD')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-lxml' 'python2-lxml' 'python-cssselect' 'python2-cssselect')
+checkdepends=('python-requests' 'python2-requests' 'python-webob' 'python2-webob' 'python-nose' 'python2-nose'
+              'python-coverage' 'python2-coverage' 'python-webtest' 'python2-webtest' 'python2-beautifulsoup4')
+              # In AUR: 'python-waitress' 'python2-waitress') 
+source=("http://pypi.python.org/packages/source/p/$_name/$_name-$pkgver.tar.gz"
+        "https://bitbucket.org/olauzanne/pyquery/raw/b70710332032/LICENSE.txt")
+sha512sums=('6e5ccc0d95972da7c6ab67e1dda5c61cd844848c5eba8017f3275979729e5a99a1fce38ae36ed15cee935d07d093fa415d7449fa762833eefbae1e5390af251f'
+            '4932f86cbe9ed4c2e658acf9c228fdb0b2430fd622d559555196c7db0f43ea435483c7ae9916c325b40130334f4706d30e5adea6bc1d097b3283a7fc64926685')
+
+prepare() {
+  cp -a "$_name-$pkgver"{,-python2}
+}
+
+build() {
+  cd $_name-$pkgver
+  python setup.py build
+
+  cd ../$_name-$pkgver-python2
+  python2 setup.py build
+}
+
+check() {
+  cd $_name-$pkgver
+  nosetests3 || warning "Tests failed"
+
+  cd ../$_name-$pkgver-python2
+  nosetests2 || warning "Tests failed"
+}
+
+package_python-pyquery() {
+  depends=('python-lxml' 'python-cssselect')
+  cd $_name-$pkgver
+  python3 setup.py install -O1 --root="$pkgdir/"
+
+  install -Dm644 ../LICENSE.txt "$pkgdir/usr/share/licenses/python-pyquery/LICENSE"
+}
+
+package_python2-pyquery() {
+  depends=('python2-lxml' 'python2-cssselect')
+  cd $_name-$pkgver-python2
+  python2 setup.py install -O1 --root="$pkgdir/"
+
+  install -Dm644 ../LICENSE.txt "$pkgdir/usr/share/licenses/python2-pyquery/LICENSE"
+}



More information about the arch-commits mailing list